<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [setToUniversityCourse](./bitburner.sleeve.settouniversitycourse.md)

## Sleeve.setToUniversityCourse() method

Set a sleeve to take a class at a university.

**Signature:**

```typescript
setToUniversityCourse(
    sleeveNumber: number,
    universityName: UniversityLocationName,
    courseName: UniversityClassType,
  ): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sleeveNumber | number | Index of the sleeve to start taking class. |
|  universityName | [UniversityLocationName](./bitburner.universitylocationname.md) | Name of the university to attend. |
|  courseName | [UniversityClassType](./bitburner.universityclasstype.md) | Name of the course to follow. |

**Returns:**

boolean

True if this action was set successfully, false otherwise.

## Remarks

RAM cost: 4 GB

Return a boolean indicating whether or not this action was set successfully.

